declare type TClasses = {
    loader?: string;
    container?: string;
};
export interface ILoader {
    height?: number;
    width?: number;
    minHeight?: number;
    minWidth?: number;
    maxHeight?: number;
    maxWidth?: number;
    isDark?: boolean;
    miniLoader?: boolean;
    isModal?: boolean;
    showLoader: boolean;
    classes?: TClasses;
    position?: 'fixed' | 'absolute' | 'relative';
    rootHeight?: string;
    rootWidth?: string;
    durationFade?: number;
    extraStyle?: {};
}
export {};
