"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var breakpoints = _ref.breakpoints,
      palette = _ref.palette;
  return {
    paper: (0, _defineProperty2.default)({
      maxHeight: 400,
      borderRadius: '8px',
      boxShadow: palette.type === 'dark' ? '0px 3px 1px -2px rgb(0 0 0 / 20%), 0px 2px 2px 0px rgb(0 0 0 / 14%), 0px 1px 5px 0px rgb(0 0 0 / 12%)' : '0 2px 4px 0 rgba(0, 0, 0, 0.25)',
      border: 0,
      backgroundColor: palette.background.menu,
      '& > ul': {
        paddingBottom: '0 !important',
        '& > li:last-child': {
          borderBottom: 'unset !important'
        }
      }
    }, breakpoints.down('xs'), {
      width: '100%',
      maxWidth: '100%',
      top: '60px !important',
      left: '0px !important',
      borderRadius: 0,
      borderBottomLeftRadius: 7,
      borderBottomRightRadius: 7,
      borderTopColor: '#fff',
      border: 0,
      boxShadow: '0 6px 4px -4px rgba(0, 0, 0, 0.25)'
    }),
    emptyMenu: {
      maxHeight: 200,
      height: 200
    }
  };
});

exports.default = _default;