"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _clsx2 = _interopRequireDefault(require("clsx"));

var _core = require("@material-ui/core");

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["anchorEl", "children", "open", "placement", "className", "arrow"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var PopperComponent = function PopperComponent(props) {
  var _clsx;

  var anchorEl = props.anchorEl,
      children = props.children,
      open = props.open,
      placement = props.placement,
      className = props.className,
      _props$arrow = props.arrow,
      arrow = _props$arrow === void 0 ? true : _props$arrow,
      rest = (0, _objectWithoutProperties2.default)(props, _excluded);
  var styles = (0, _styles.default)();
  if (!open) return null;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Popper, _objectSpread(_objectSpread({
    className: (0, _clsx2.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, className, !!className), (0, _defineProperty2.default)(_clsx, styles.popper, true), (0, _defineProperty2.default)(_clsx, styles.arrow, arrow), (0, _defineProperty2.default)(_clsx, styles.top, placement === 'top' && arrow), (0, _defineProperty2.default)(_clsx, styles.bottom, placement === 'bottom' && arrow), (0, _defineProperty2.default)(_clsx, styles.left, placement === 'left' && arrow), (0, _defineProperty2.default)(_clsx, styles.right, placement === 'right' && arrow), _clsx)),
    open: open,
    anchorEl: anchorEl,
    placement: placement
  }, rest), {}, {
    children: children
  }));
};

var _default = PopperComponent;
exports.default = _default;