"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette,
      shadows = _ref.shadows;
  return {
    popper: {
      backgroundColor: palette.background.popper,
      borderRadius: 4,
      padding: 10,
      zIndex: 100000,
      boxShadow: shadows[1]
    },
    arrow: {
      '&:after': {
        position: 'absolute',
        content: '""',
        display: 'block',
        borderTop: "7px solid ".concat(palette.background.popper),
        borderLeft: '7px solid transparent',
        borderRight: '7px solid transparent'
      }
    },
    top: {
      '&:after': {
        left: 'calc(50% - 4px)',
        top: '100%',
        transform: 'rotate(0deg)'
      }
    },
    bottom: {
      '&:after': {
        left: 'calc(50% - 4px)',
        bottom: '100%',
        transform: 'rotate(180deg)'
      }
    },
    left: {
      '&:after': {
        left: 'calc(100% - 4px)',
        transform: 'rotate(270deg)',
        top: 'calc(50% - 3px)'
      }
    },
    right: {
      '&:after': {
        right: 'calc(100% - 4px)',
        transform: 'rotate(-270deg)',
        top: 'calc(50% - 3px)'
      }
    }
  };
});

exports.default = _default;