"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithDescription = exports.Short = exports.Default = void 0;

var _react = _interopRequireDefault(require("react"));

var _hooks = require("../../../hooks");

var _Button = _interopRequireDefault(require("../../Atoms/Button"));

var _Toast = _interopRequireDefault(require("./Toast"));

var _jsxRuntime = require("react/jsx-runtime");

var _default = {
  title: 'Tauros-web-ui/Molecules/Toast',
  component: _Toast.default,
  args: {},
  argTypes: {}
};
exports.default = _default;

var ToastComponent = function ToastComponent(args) {
  var alert = (0, _hooks.useToast)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      color: "primary",
      onClick: function onClick() {
        return alert[args.severity](args.title, args === null || args === void 0 ? void 0 : args.description);
      },
      children: "Open Toast"
    })
  });
};

var Default = ToastComponent.bind({});
exports.Default = Default;
Default.args = {
  severity: 'success',
  title: 'Es necesario que te comuniques con RENAPO al 800 911 1111 ya que tu CURP no es válida.'
};
var Short = ToastComponent.bind({});
exports.Short = Short;
Short.args = {
  severity: 'success',
  title: 'Prefer icon updated'
};
var WithDescription = ToastComponent.bind({});
exports.WithDescription = WithDescription;
WithDescription.args = {
  severity: 'success',
  title: 'Es necesario que te comuniques con RENAPO al 800 911 1111 ya que tu CURP no es válida.',
  description: 'Te esperamos de vuelta en GBM+ una vez que la hayas validado'
};