import { Theme } from '@material-ui/core';
declare const globalResets: (palette: Theme['palette']) => {
    '*': {
        margin: number;
        padding: number;
        outline: string;
        fontFamily: string;
        '&:focus': {
            outline: string;
        };
        '-webkit-tap-highlight-color': string;
    };
    '*::-webkit-scrollbar': {
        width: number;
        height: number;
    };
    '*:hover::-webkit-scrollbar': {
        backgroundColor: string;
    };
    '*:hover::-webkit-scrollbar-thumb': {
        backgroundColor: string;
    };
    ul: {
        listStyle: string;
    };
    a: {
        textDecoration: string;
        color: string;
    };
    '.grecaptcha-badge': {
        bottom: string;
        display: string;
    };
};
export default globalResets;
