"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var globalResets = function globalResets(palette) {
  return {
    '*': {
      margin: 0,
      padding: 0,
      outline: 'none',
      fontFamily: ['"DINPro" !important'].join(','),
      '&:focus': {
        outline: 'none'
      },
      '-webkit-tap-highlight-color': 'transparent'
    },
    '*::-webkit-scrollbar': {
      width: 8,
      height: 8
    },
    // TODO: add without hover
    '*:hover::-webkit-scrollbar': {
      backgroundColor: palette.common.scrollbarTrack
    },
    '*:hover::-webkit-scrollbar-thumb': {
      backgroundColor: palette.common.scrollbarThumb
    },
    ul: {
      listStyle: 'none'
    },
    a: {
      textDecoration: 'none',
      color: 'initial'
    },
    '.grecaptcha-badge': {
      bottom: '100px !important',
      display: 'block'
    }
  };
};

var _default = globalResets;
exports.default = _default;