"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var _palette$gradient;

  var palette = _ref.palette;
  return {
    root: {
      display: 'flex',
      alignItems: 'center'
    },
    rail: {
      height: 3
    },
    track: {
      height: 3,
      background: (_palette$gradient = palette.gradient) === null || _palette$gradient === void 0 ? void 0 : _palette$gradient.main
    },
    mark: {
      width: 10,
      height: 10,
      marginLeft: -6,
      position: 'absolute',
      borderRadius: 50,
      background: '#7e7e7e'
    },
    markActive: {
      opacity: 1,
      background: palette.primary.main
    },
    thumb: {
      marginTop: 0
    },
    markDisabled: {
      background: '#7e7e7e',
      zIndex: 1
    }
  };
});

exports.default = _default;