import { TabsProps, TabProps } from '@material-ui/core';
import { ChangeEvent } from 'react';
export interface ITab extends TabProps {
}
declare type TClasses = {
    root?: string;
    tabs?: string;
    tab?: string;
    swipeableViews?: string;
    indicator?: string;
};
declare type TVariant = 'line-top' | 'line-bottom' | 'circle' | 'circle-outlined' | 'circle-filled';
export interface ITabs extends Omit<TabsProps, 'onChange' | 'variant'> {
    childrenHead: ITab[];
    childrenContent?: any[];
    onChangeIndex?: (number: number) => void;
    onChange: (event: ChangeEvent, value: any) => void;
    value: number;
    circle?: boolean;
    size?: 'small' | 'medium' | 'large' | 'tiny';
    classes?: TClasses;
    variant?: TVariant;
    borders?: boolean;
    fullWidth?: boolean;
}
export {};
