"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _ = require(".");

var _overrides = _interopRequireDefault(require("./overrides"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var palette = _objectSpread(_objectSpread({}, _.light.palette), {}, {
  primary: _objectSpread(_objectSpread({}, _.light.palette.primary), {}, {
    main: '#3A4962'
  }),
  text: _objectSpread(_objectSpread({}, _.light.palette.text), {}, {
    primary: '#080808',
    secondary: '#6F747A'
  }),
  background: _objectSpread(_objectSpread({}, _.light.palette.background), {}, {
    switch: '#687F99',
    switchThemeLight: 'rgba(104, 127, 153, 0.15)',
    switchThemeDark: '#0D131A',
    default: '#F7F9FB',
    paper: '#ffffff',
    navbar: '#ffffff',
    popover: '#F7F9FB',
    popper: '#F7F9FB',
    menu: '#F7F9FB',
    card: '#ffffff'
  })
});

var _default = _objectSpread(_objectSpread({}, _.light), {}, {
  palette: palette,
  overrides: (0, _overrides.default)(palette)
});

exports.default = _default;